Subject: bug#5180: 23.1.90; Secondary selection and M-w

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Oct 2019 01:26:22 +0200

Alan Third <[email-masked]> writes:

> Leo <[email-masked]> writes:
>
>> 2009/12/11 Drew Adams <[email-masked]>:
>>> I never noticed it before, but I can confirm that it happens, but only if the
>>> the Meta key is pressed before releasing the mouse button.
>
> I can replicate this, but I assume it's normal behaviour.

Same.

>> I would not find it annoying if that were my case. However, I use the
>> trackpad with a laptop. I don't know whether that causes the
>> difference.
>>
>> I also find that the Meta key has to be held down for a while (about 1
>> or 2 s)  but it can be done after releasing the mouse button (with my
>> hand off the trackpad). Thus:
>>
>>  To reproduce:
>>  1. Drag the mouse to select some text
>>  2. Stop dragging by moving your hand away from the trackpad and
>> (after a short delay) HOLD DOWN the Meta (as in M-w) key
>
> I can't replicate this in Emacs 25. Are you able to check whether you
> still get this behaviour in a recent version of Emacs?

I can't replicate this using a trackpad on current master (27.0.50).

Best regards,
Stefan Kangas